Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class LoglogisticDist

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.LoglogisticDist

All Implemented Interfaces:
  Distribution

    public class LoglogisticDist

extends ContinuousDistribution

Extends the class `ContinuousDistribution` for the Log-Logistic distribution with shape parameter α > 0 and scale parameter β > 0. Its density is

f (x) = (α(x/β)α-1)/(β[1 + (x/β)α]2) for x > 0

and its distribution function is

F(x) = 1/(1 + (x/β)-α) for x > 0.

The complementary distribution is

bar(F)(x) = 1/(1 + (x/β)α) for x > 0.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`LoglogisticDist(double alpha, double beta)` Constructs a log-logistic distribution with parameters α and β.

Method Summary
`double` | `barF(double x)` Returns the complementary distribution function.
`static double` | `barF(double alpha, double beta, double x)` Computes the complementary distribution function of the log-logistic distribution with parameters α and β.
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(double alpha, double beta, double x)` Computes the distribution function of the log-logistic distribution with parameters α and β.
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(double alpha, double beta, double x)` Computes the density function for a log-logisitic distribution with parameters α and β.
`double` | `getAlpha()` Return the parameter α of this object.
`double` | `getBeta()` Returns the parameter β of this object.
`static LoglogisticDist` | `getInstanceFromMLE(double[] x, int n)` Creates a new instance of a log-logistic distribution with parameters α and β estimated using the maximum likelihood method based on the n observations x[i], i = 0, 1,…, n - 1.
`static double[]` | `getMaximumLikelihoodEstimate(double[] x, int n)` Deprecated.
`double` | `getMean()` Returns the mean.
`static double` | `getMean(double alpha, double beta)` Computes and returns the mean of the log-logistic distribution with parameters α and β.
`static double[]` | `getMLE(double[] x, int n)` Estimates the parameters (α, β) of the log-logistic distribution using the maximum likelihood method, from the n observations x[i], i = 0, 1,…, n - 1.
`double[]` | `getParams()` Return a table containing the parameters of the current distribution.
`double` | `getStandardDeviation()` Returns the standard deviation.
`static double` | `getStandardDeviation(double alpha, double beta)` Computes and returns the standard deviation of the log-logistic distribution with parameters α and β.
`double` | `getVariance()` Returns the variance.
`static double` | `getVariance(double alpha, double beta)` Computes and returns the variance of the log-logistic distribution with parameters α and β.
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(double alpha, double beta, double u)` Computes the inverse of the log-logistic distribution with parameters α and β.
`void` | `setParams(double alpha, double beta)` Sets the parameters α and β of this object.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoglogisticDist

    public LoglogisticDist(double alpha,
                           double beta)

  Constructs a log-logistic distribution with parameters α and β.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Specified by:
    `density` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### barF

    public double barF(double x)

  Description copied from class: `ContinuousDistribution`
  Returns the complementary distribution function. The default implementation computes bar(F)(x) = 1 - F(x), which is not accurate when F(x) -> 1.

  Specified by:
    `barF` in interface `Distribution`
  Overrides:
    `barF` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the complementary distribution function is evaluated
  Returns:
    complementary distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `ContinuousDistribution`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### getMean

    public double getMean()

  Description copied from class: `ContinuousDistribution`
  Returns the mean.

  Specified by:
    `getMean` in interface `Distribution`
  Overrides:
    `getMean` in class `ContinuousDistribution`
  Returns:
    the mean

### getVariance

    public double getVariance()

  Description copied from class: `ContinuousDistribution`
  Returns the variance.

  Specified by:
    `getVariance` in interface `Distribution`
  Overrides:
    `getVariance` in class `ContinuousDistribution`
  Returns:
    the variance

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from class: `ContinuousDistribution`
  Returns the standard deviation.

  Specified by:
    `getStandardDeviation` in interface `Distribution`
  Overrides:
    `getStandardDeviation` in class `ContinuousDistribution`
  Returns:
    the standard deviation

### density

    public static double density(double alpha,
                                 double beta,
                                 double x)

  Computes the density function for a log-logisitic distribution with parameters α and β.

### cdf

    public static double cdf(double alpha,
                             double beta,
                             double x)

  Computes the distribution function of the log-logistic distribution with parameters α and β.

### barF

    public static double barF(double alpha,
                              double beta,
                              double x)

  Computes the complementary distribution function of the log-logistic distribution with parameters α and β.

### inverseF

    public static double inverseF(double alpha,
                                  double beta,
                                  double u)

  Computes the inverse of the log-logistic distribution with parameters α and β.

### getMLE

    public static double[] getMLE(double[] x,
                                  int n)

  Estimates the parameters (α, β) of the log-logistic distribution using the maximum likelihood method, from the n observations x[i], i = 0, 1,…, n - 1. The estimates are returned in a two-element array, in regular order: [α, β].

  Parameters:
    `x` - the list of observations to use to evaluate parameters
    `n` - the number of observations to use to evaluate parameters
  Returns:
    returns the parameters [ hat(α), hat(β)]

### getMaximumLikelihoodEstimate

    @Deprecated
    public static double[] getMaximumLikelihoodEstimate(double[] x,
                                                                   int n)

  Deprecated.

  Same as `getMLE`.

### getInstanceFromMLE

    public static LoglogisticDist getInstanceFromMLE(double[] x,
                                                     int n)

  Creates a new instance of a log-logistic distribution with parameters α and β estimated using the maximum likelihood method based on the n observations x[i], i = 0, 1,…, n - 1.

  Parameters:
    `x` - the list of observations to use to evaluate parameters
    `n` - the number of observations to use to evaluate parameters

### getMean

    public static double getMean(double alpha,
                                 double beta)

  Computes and returns the mean of the log-logistic distribution with parameters α and β.

  Returns:
    the mean of the log-logistic distribution E[X] = βθ cosec(θ), where θ = π/α

### getVariance

    public static double getVariance(double alpha,
                                     double beta)

  Computes and returns the variance of the log-logistic distribution with parameters α and β.

  Returns:
    the variance of the log-logistic distribution Var[X] = β2θ(2cosec(2θ) - θ[cosec(θ)]2), where θ = π/α

### getStandardDeviation

    public static double getStandardDeviation(double alpha,
                                              double beta)

  Computes and returns the standard deviation of the log-logistic distribution with parameters α and β.

  Returns:
    the standard deviation of the log-logistic distribution

### getAlpha

    public double getAlpha()

  Return the parameter α of this object.

### getBeta

    public double getBeta()

  Returns the parameter β of this object.

### setParams

    public void setParams(double alpha,
                          double beta)

  Sets the parameters α and β of this object.

### getParams

    public double[] getParams()

  Return a table containing the parameters of the current distribution. This table is put in regular order: [α, β].

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.